/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.math;

import static org.junit.Assert.assertNotNull;

import org.junit.Test;

/**
 * 
 * @author Matthias Betz
 *
 */
public class RayTest {
	
	@Test
	public void testTriangleIntersection() {
		Vector3d origin = new Vector3d(0, 0, 0);
		Vector3d direction = new Vector3d(1D, 0, 0);
		Ray ray = new Ray(origin, direction);
		Vector3d v0 = new Vector3d(1D, -5D, -10D);
		Vector3d v1 = new Vector3d(1D, -5D, 10D);
		Vector3d v2 = new Vector3d(1D, 10D, 10D);
		assertNotNull(ray.intersectTriangle(v0, v1, v2));
	}

}
